TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get wallet states

GET
/api/v3/walletStates

Query wallet information for the specified addresses.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address*array<string>

List of addresses in any form. Maximum: 1000 addresses.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/walletStates?address=string"
{  "address_book": {    "property1": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    },    "property2": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    }  },  "metadata": {    "property1": {      "is_indexed": true,      "token_info": [        {          "description": "string",          "extra": {},          "image": "string",          "is_nsfw": true,          "is_scam": true,          "name": "string",          "nft_index": "string",          "symbol": "string",          "type": "string",          "valid": true        }      ]    },    "property2": {      "is_indexed": true,      "token_info": [        {          "description": "string",          "extra": {},          "image": "string",          "is_nsfw": true,          "is_scam": true,          "name": "string",          "nft_index": "string",          "symbol": "string",          "type": "string",          "valid": true        }      ]    }  },  "wallets": [    {      "address": "string",      "balance": "string",      "code_hash": "string",      "extra_currencies": {        "property1": "string",        "property2": "string"      },      "is_signature_allowed": true,      "is_wallet": true,      "last_transaction_hash": "string",      "last_transaction_lt": "0",      "seqno": 0,      "status": "string",      "suspended": true,      "wallet_id": 0,      "wallet_type": "string"    }  ]}